Search loans

This request searches for loans that match specified criteria.

   Click here to learn more about this request

This endpoint is used for searching and filtering loan account information. Note the following when using this request:

Instead of a GET, this search uses a POST request. This adds a payload body that filters for loans that match given criteria. The endpoint parameters specify how the results are displayed—how many entries, how they should be ordered, where to start, and which objects to expand.

Pulling large amounts of loan information this way can take some time. If there is vast amounts of loan data, we suggest using a database query instead if the option is available.

For an example of how searching works within the UI, take a look at our Account Manager article.

Database

For information regarding loan database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Loan Document Entity (loan_document_entity)

Database – Loan Status Entity (loan_status_entity)

{
     "query": {
          "bool": {
               "must": {
                    "match": {
                         "loanAmount": 10000
                    }
               },
               "filter": {
                    "range": {
                         "contractDate": {
                              "gte": "2020-10-01",
                              "lte": "2020-10-31"
                         }
                    }
               }
          }
     }
}
Query Params
int32

This defines the number of results to return.
> For example, $top=25 returns the first 25 results.

int32

This defines the offset to start returning results with.
> For example, $start=0 starts with the 1st result.

string

This sorts the results based on the specified variable.
> For example, $orderby=id sorts the results by their ID in the software.

string

This designates a section to expand in the return.
> For example, $expand=Customers expands information about the borrowers associated to loans.

Body Params
query
object

This is the body of the query. This structure will change depending on how you want to filter your data.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json